/*
 * These routines make using the international messages facilities easier.
 * 
 * Note if you use this stuff you'll need to add a global variable
 * 
 *    nl_catd Gcatd; 
 *
 * to your source.
 *
 * This interface could be applied to methods other than X/Open coding
 * (VMS etc..)
 *
 * Copyright (c) 1994 University of Minnesota
 */

#if defined(VMS) || defined(_AUX_SOURCE) /* VMS doesn't have locale.h */
#  define setlocale(a,b)
#  define Gtxt(a,b) a
#  define Gtxtopen(a,b,c)
#else
#  include <locale.h>

   /** Figure out which systems have catopen() etal **/

#  if defined(__svr4__) || defined(sgi) || defined(_XOPEN_SOURCE)
#    include <nl_types.h>
#    define GINTERNATIONAL
#  endif

#  if !defined(GINTERNATIONAL)	/* Only use i18n routines if we're sure */
#    define Gtxtopen(a,b,c)
#    define Gtxt(a,b) a
#  else
     /*** Define some nice convenience routines ***/
     /**  It would sure be nice to use gettext() routines... oh well...***/
#    define Gtxt(a,b)       (catgets(Gcatd,NL_SETD,b,a))
#    define Gtxtopen(a,b,c) (a=catopen(b,c))
#  endif
#endif
